# NativeTestingBasePlugin

@Incubating
abstract class NativeTestingBasePlugin : Plugin<T>

Common base plugin for all native testing plugins.

Expects plugins to register the native test suites in the getComponents container, and defines a number of rules that act on these components to configure them.

- Adds a `"test"` task.
- Configures the `"test"` task to run the tests of the `test` component, if present. Expects the test component to be of type TestSuiteComponent.

#### Since

4.5

## Constructors

NativeTestingBasePlugin
Link copied to clipboard
@Inject
constructor(targetMachineFactory: TargetMachineFactory)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)